Polyrankdocs
ApiLab

GET /v1/lab/strategies/cleanup

The caller’s EMPTY or DUPLICATE drafts that "Clean up drafts" would archive: drafts that never ran (no backtest, no paper run) and are either the blank "New strategy" never edited, or the same spec as another of the caller’s strategies (the one that ran, else the oldest, is kept), or the same name as one that ran and never edited since it was created. Needs no plan. 404 `lab_disabled` while LAB_ENABLED is off.

GET
/v1/lab/strategies/cleanup

The caller’s EMPTY or DUPLICATE drafts that "Clean up drafts" would archive: drafts that never ran (no backtest, no paper run) and are either the blank "New strategy" never edited, or the same spec as another of the caller’s strategies (the one that ran, else the oldest, is kept), or the same name as one that ran and never edited since it was created. Needs no plan. 404 lab_disabled while LAB_ENABLED is off.

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/lab/strategies/cleanup"
{  "strategies": [    {      "id": "string",      "name": "string",      "reason": "empty"    }  ]}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}